Bug 226877 - Adopt SideBarFactory into editor.lib2
Adopt SideBarFactory into editor.lib2
Status: RESOLVED FIXED
Product: editor
Classification: Unclassified
Component: Painting & Printing
7.4
PC Linux
: P2 (vote)
: 7.4
Assigned To: Svata Dedic
issues@editor
: API, API_REVIEW_FAST
Depends on:
Blocks: 226413
  Show dependency treegraph
 
Reported: 2013-03-01 07:59 UTC by Svata Dedic
Modified: 2013-03-13 02:11 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
Proposed changes (16.01 KB, patch)
2013-03-01 09:12 UTC, Svata Dedic
Details | Diff
Added deprecation, suppress warnings (17.92 KB, patch)
2013-03-01 09:26 UTC, Svata Dedic
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Svata Dedic 2013-03-01 07:59:09 UTC
For fold separation from editor.lib, I want to move the org.netbeans.editor.SideBarFactory interface into editor.lib2 library. This is part of the effort to eliminate client dependencies on editor.lib - all clients, which currently define sidebars depend on it.

The moved interface has same semantics as the original, and the editor code will accept both interfaces (SidebarFactory from editor.lib and SidebarFactory from editor.lib2).
Comment 1 Svata Dedic 2013-03-01 09:12:32 UTC
Created attachment 132051 [details]
Proposed changes
Comment 2 Svata Dedic 2013-03-01 09:26:58 UTC
Created attachment 132053 [details]
Added deprecation, suppress warnings
Comment 3 Svata Dedic 2013-03-08 15:42:18 UTC
Changeset: 59ee873f0976
Author:    Svata Dedic <sdedic@netbeans.org>
Date:      2013-03-08 16:42
Message:   SideBarFactory adopted to editor.lib2. Tests added to editor.
Comment 4 Quality Engineering 2013-03-13 02:11:09 UTC
Integrated into 'main-golden', will be available in build *201303122300* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/59ee873f0976
User: Svata Dedic <sdedic@netbeans.org>
Log: Issue #226877 - Adopt SideBarFactory into editor.lib2: fixed
SideBarFactory adopted to editor.lib2. Tests added to editor.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo